key_state Struct Reference

`#include <key_state.h>`

## Data Fields

db_object_t * | dbo
db_value_t | id
db_value_t | rev
db_value_t | key_data_id
const key_data_t * | associated_key_data_id
key_data_t * | private_key_data_id
key_state_type_t | type
key_state_state_t | state
unsigned int | last_change
unsigned int | minimize
unsigned int | ttl

## Detailed Description

A key state object.

Definition at line 65 of file key_state.h.

## Field Documentation

## associated_key_data_id

const key_data_t* key_state::associated_key_data_id

Definition at line 70 of file key_state.h.

Referenced by key_state_copy().

## dbo

db_object_t* key_state::dbo

Definition at line 66 of file key_state.h.

Referenced by key_state_create(), key_state_delete(), key_state_free(), key_state_get_by_id(), key_state_new(), key_state_new_copy(), and key_state_update().

## id

db_value_t key_state::id

Definition at line 67 of file key_state.h.

Referenced by key_state_copy(), key_state_create(), key_state_delete(), key_state_free(), key_state_from_result(), key_state_new(), and key_state_update().

## key_data_id

db_value_t key_state::key_data_id

Definition at line 69 of file key_state.h.

Referenced by key_state_copy(), key_state_create(), key_state_free(), key_state_from_result(), key_state_key_data_id(), key_state_new(), key_state_set_key_data_id(), and key_state_update().

## last_change

unsigned int key_state::last_change

Definition at line 74 of file key_state.h.

Referenced by key_state_copy(), key_state_create(), key_state_from_result(), key_state_last_change(), key_state_set_last_change(), and key_state_update().

## minimize

unsigned int key_state::minimize

Definition at line 75 of file key_state.h.

Referenced by key_state_copy(), key_state_create(), key_state_from_result(), key_state_minimize(), key_state_set_minimize(), and key_state_update().

## private_key_data_id

key_data_t* key_state::private_key_data_id

Definition at line 71 of file key_state.h.

Referenced by key_state_copy(), and key_state_free().

## rev

db_value_t key_state::rev

Definition at line 68 of file key_state.h.

Referenced by key_state_copy(), key_state_create(), key_state_delete(), key_state_free(), key_state_from_result(), key_state_new(), and key_state_update().

## state

key_state_state_t key_state::state

Definition at line 73 of file key_state.h.

Referenced by key_state_copy(), key_state_create(), key_state_from_result(), key_state_new(), key_state_set_state(), key_state_state(), key_state_state_text(), and key_state_update().

## ttl

unsigned int key_state::ttl

Definition at line 76 of file key_state.h.

Referenced by key_state_copy(), key_state_create(), key_state_from_result(), key_state_set_ttl(), key_state_ttl(), and key_state_update().

## type

key_state_type_t key_state::type

Definition at line 72 of file key_state.h.

Referenced by key_state_copy(), key_state_create(), key_state_from_result(), key_state_new(), key_state_set_type(), key_state_type(), key_state_type_text(), and key_state_update().

The documentation for this struct was generated from the following file:

- src/db/key_state.h